''' <summary>
''' Nutzung: eine zeitkritische Funktion mit einer While BenchmarkTimer.Runs()- 
'''   Schleife umschlieen. Die Console-Ausgabe gibt an, wie oft die Funktion 
'''   innerhalb der gegebenen Zeit ausgefhrt werden konnte
''' </summary>
Public Class BenchmarkTimer
    Private Shared _Counter As Integer
    Private Shared _LastTick As Integer = Integer.MinValue

    Public Shared Function Runs(ByVal RunTime As Integer, _
            Optional ByVal Msg As String = "BenchmarkTimer") As Boolean

        If Environment.TickCount < _LastTick Then
            _Counter += 1
        ElseIf _LastTick = Integer.MinValue Then
            _LastTick = Environment.TickCount + RunTime
            _Counter = 0
        Else
            Console.WriteLine(String.Concat(Msg, ": ", _Counter))
            _LastTick = Integer.MinValue
            Return False
        End If
        Return True
    End Function
End Class